# Het handboek van &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&Niels.Reedijk;&Bram.Schoenmakers;&Tijmen.Baarda;&Antoon.Tolboom;

2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
&Kurt.Hindenburg;
&FDLNotice;
2009-02-23
2.2.0

&konsole; is de terminalemulator van &kde;.

KDE
konsole
kdebase
commando
regel
terminal
cli

## Inleiding

### Wat is een terminal?

&konsole; is een X-terminalemulator, vaak een terminal of shell genoemd. Het emuleert een commandoprompt in een venster met alleen tekst.

Het uitleggen van het &UNIX; CLI is voorbij het doel van dit document. Een zoektocht op het web van deze termen zal meer informatie opleveren.

### Terugschuiven

&konsole; gebruikt de terugschuiven-mogelijkheid om eerder getoonde uitvoer te bekijken. Standaard is terugschuiven actief en worden 1000 regels bewaard en ook de inhoud van het huidige scherm. De regels die bovenaan het scherm uitrollen, kunt u toch bekijken door de schuifbalk naar boven te bewegen, met de muiswiel of met de toetsen &Shift;Page Up (om een pagina terug te gaan), &Shift;Page Down (om een pagina verder te gaan), &Shift;Pijl omhoog (om een regel omhoog te gaan) en &Shift;Pijl omlaag (om een regel naar beneden te gaan).

Wanneer de Scroll Lock aan staat wordt de gewone in- en uitvoer van de shell onderdrukt en kunt u gewoon scrollen door de geschiedenis met Page Up, Page down en Pijl omhoog en Pijl omlaag.

&konsole; heeft een aantal acties in het Terugschuiven -menu.

### Profielen

Profielen laten de gebruiker snel en eenvoudig een aantal veelvoorkomende commando's automatiseren. Voorbeelden kunnen zijn:

- met ssh aanmelden op een andere computer

- een irc-sessie starten

- tail gebruiken om een bestand te volgen

Procedure om een nieuw profiel aan te maken:

1. Klik in het menu op Instellingen Profielen beheren...

2. Klik op de knop Nieuw profiel....

3. Vul in het eerste veld een naam in. Deze naam zal worden getoond in het menu en wordt standaard gebruikt in plaats van Shell wanneer u een nieuwe sessie start van dit type.

4. Voer het commando in dat u ook gebruikt in een nieuw-geopende shell om de taak uit te voeren. Voor het voorbeeld hierboven kunt u het volgende intypen: ``ssh` administratie`.

5. In de andere tabbladen van de dialoog kunt u het uiterlijk van deze sessie instellen. Voor iedere sessie kunt u bijvoorbeeld een ander lettertype, kleurschema en $`TERM`-type instellen en vele andere instellingen voor elke sessie.

6. Klik op de knop OK . De nieuwe sessie is nu beschikbaar in de dialoog Profielen beheren....

Na de profielen aan te maken worden ze getoond met hun naam in het menu Bestand onder de standaard Shell.

### Muisknoppen

In deze sectie wordt het gebruik van de muis uitgelegd ervan uitgaande dat u de muis rechtshandig hebt ingesteld. Als u een linkshandige muisinstelling hebt, draai de woorden links en rechts dan om in de tekst hieronder.

Links

  Telkens wanner u met de &LMB; klikt, wordt dit doorgegeven aan terminaltoepassingen die op de muis kunnen reageren. &konsole; toont een pijlcursor indien het terminalprogramma de muis ondersteunt. Als dat niet het geval is wordt een I-vormige cursor weergegeven.

  Als u de &LMB; ingedrukt houdt en sleept over het scherm bij een programma zonder muisondersteuning, wordt een gedeelte van de tekst gemarkeerd. Terwijl u sleept, wordt de gemarkeerde tekst omgekeerd weergegeven. Als u Kopiëren selecteerd van het menu Bewerken wordt de tekst naar het klembord gekopieerd. De geselecteerde tekst kan ook naar hiermee compatibele programma's worden gesleept. Klik op de geselecteerde tekst en sleep die naar de gewenste locatie. Afhankelijk van uw &kde;-instellingen kan het zijn dat u &Ctrl; ingedrukt dient te houden tijdens het slepen.

  Gewoonlijk worden de nieuwe-regel tekens aan het eind van elke regel geselecteerd. Dit is het beste voor het kopiëren en plakken van broncode of de uitvoer van een bepaald commando. Voor gewone tekst zijn de regelafbrekingen vaak niet belangrijk. Als u liever de tekst als een stroom tekens wilt, houd dan de toets &Ctrl; ingedrukt bij het selecteren.

  Als u de toetsen &Ctrl; en &Alt; ingedrukt houdt samen met de &LMB;, dan kunt u tekst in een vak selecteren.

  Dubbelklik met de &LMB; om een woord te selecteren, en klik driemaal om een hele regel te selecteren.

  Als de boven- of onderkant van het tekstgebied aangeraakt wordt tijdens het markeren, dan schuift &konsole; naar boven of beneden, om de tekst in de geschiedenisbuffer weer te geven. &konsole; stopt met schuiven zodra de muis stilstaat.

  Nadat de muis is losgelaten, laat &konsole; de tekst gemarkeerd om aan te geven dat deze tekst zich nu op het klembord bevindt. Dit wordt weer normaal zodra de inhoud van het klembord gewijzigd wordt, de tekst in het gemarkeerde gebied gewijzigd wordt of wanneer de &LMB; ingedrukt wordt.

  Om tekst te markeren in een programma dat de muis wel ondersteunt (bijvoorbeeld Midnight Commander) drukt u de toets &Shift; in tijdens het slepen.

Middelste knop

  Door het indrukken van de &MMB; wordt de tekst die zich op dat moment op het klembord bevindt in het venster geplakt. Als u de toets &Ctrl; ingedrukt houdt terwijl u op de middelste muisknop klikt wordt de tekst eveneens verzonden naar &konsole;.

  Als u een muis met slechts twee knoppen heeft, kunt u de &MMB; van een drieknopsmuis emuleren door de &LMB; en de &RMB; gelijktijdig in te drukken.

  Als uw muis een wieltje heeft die de functie van &MMB; heeft, kunt u daarmee de schuifbalk van &konsole; verplaatsen, mits de consoletoepassing geen muisondersteuning heeft.

Rechts

  Deze items verschijnen in het menu na het indrukken van de &RMB;: Kopiëren, Plakken, Terugschuiven wissen & Resetten, Browser hier openen, Profiel wijzigen, Huidig profiel bewerken..., Menubalk tonen, Tekensetcodering en Tabblad sluiten

  In toepassingen die muisondersteuning hebben, is het nodig om de toets &Shift; ingedrukt te houdenterwijl u op de &RMB; klikt om het contextmenu te tonen.

## Opdrachtenoverzicht

### De menubalk

De menubalk staat bovenaan het &konsole;-venster. Wanneer de menubalk verborgen is kan Menubalk tonenbereikt worden door een rechts-klik in het venster (zolang er geen schermvullende toepassingen in dat scherm actief zijn, zoals vi, micom, enz.). De standaard sneltoets wordt achter ieder menu-item getoond.

#### Het menu Bestand

&Ctrl;&Shift;N Bestand Nieuw tabblad

  Opent een nieuw tabblad met het standaard profiel

&Ctrl;&Shift;M Bestand Nieuw venster

  Opent een nieuw apart venster van &konsole; met het standaard profiel

Bestand Shell

  Opent een nieuw tabblad met het profiel Shell

  &konsole; heeft standaard het Shell-profiel. Elk door de gebruiker toegevoegd profiel zal zijn eigen menu-items krijgen onder Bestand Shell.

Bestand Browser hier openen

  Opent &kde;'s bestandsbeheerder in de huidige map. Standaard is dit &dolphin;.

&Ctrl;&Shift;W Bestand Tabblad sluiten

  Sluit het huidige tabblad

&Ctrl;&Shift;Q Bestand Afsluiten

  Sluit &konsole;

  &konsole; zal een venster tonen indien er meer dan een tabblad open is. Dit venster kan getoond worden door op het Niet opnieuw vragen keuzevakje te klikken.

#### Het menu Bewerken

&Ctrl;&Shift;C Bewerken Kopiëren

  Kopieert de geselecteerde tekst naar het klembord

&Ctrl;&Shift;V Bewerken Plakken

  Plakt de tekst die op het klembord staat op de cursorpositie

&Ctrl;&Alt;S Bewerken Tabblad hernoemen...

  Opent een dialoogvenster waarin u de naam van het huidige tabblad kunt wijzigen (meer info)

Bewerken Invoer kopiëren naar...

  Stuurt invoer van de huidige sessie tegelijk naar andere sessies (meer info)

Bewerken Weergave wissen

  Wist alle tekst van het tabblad

  Alle gewiste tekst zal in Terugschuiven opgeslagen worden.

Bewerken Wissen & herstellen

  Wist alle tekst van het tabblad en herstelt de sessie

  Alle gewiste tekst zal in Terugschuiven opgeslagen worden.

#### Het menu Beeld

&Ctrl;&Shift;L Beeld Beeld splitsen Beeld verticaal opsplitsen

  Splitst alle tabbladen in een linker en rechter helft

  Alle uitvoer in de ene helft wordt in de andere helft gekopieerd.

&Ctrl;&Shift;T Beeld Beeld splitsen Beeld horizontaal opsplitsen

  Splitst all tabbladen in een onderste en bovenste helft

  Alle uitvoer in de ene helft wordt in de andere helft gekopieerd.

&Ctrl;&Shift;S Beeld Beeld splitsen Actief deelvenster sluiten

  Het actieve deelvenster wordt gesloten

&Ctrl;&Shift;O Beeld Beeld splitsen Overigen sluiten

  Het niet-actieve deelvenster wordt gesloten

&Ctrl;&Shift;] Beeld Beeld splitsen Deelvenster uitbreiden

  Maakt het actieve deelvenster groter

&Ctrl;&Shift;[ Beeld Beeld splitsen Deelvenster krimpen

  Maakt het actieve deelvenster kleiner

&Ctrl;&Shift;H Beeld Deelvenster losmaken

  Het huidige tabblad wordt in een apart venster geopend

  Het afsluiten van het vorige &konsole;-venster zal geen effect hebben op het nieuw aangemaakte venster.

Beeld Menubalk tonen

  Maakt de menubalk zichtbaar

&Ctrl;&Shift;F11 Beeld Volledig scherm-modus

  Schakelt &konsole; naar volledige scherm-modus

&Ctrl;&Shift;I Beeld Speuren naar stilte

  Activeert het speuren naar inactiviteit in het huidige tabblad

  Standaard zal er na 10 seconden inactiviteit een informatiepictogram in de sessietab verschijnen. Het type van de melding kan veranderd worden in Instellingen Meldingen instellen Stilte in geobserveerde sessie.

&Ctrl;&Shift;A Beeld Speuren naar activiteit

  Activeert het speuren naar activiteit in het huidige tabblad

  Na een activiteit zal er een informatiepictogram op de sessietab verschijnen. Het type van de melding kan veranderd worden in Instellingen Meldingen instellen Stilte in geobserveerde sessie.

Beeld Tekensetcodering instellen

  Stelt de tekensetcodering in

&Ctrl;+ Beeld Tekst vergroten

  Verhoogt de afmetingen van de tekst

&Ctrl;- Beeld Tekst verkleinen

  Verkleint de afmetingen van de tekst

#### Het menu Terugschuiven

&Ctrl;&Shift;F Terugschuiven Zoeken in uitvoer...

  Opent een zoekbalk onderin het venster van &konsole;

  Dit maakt het hoofdlettergevoelig, voorwaarts of achterwaarts, en op reguliere expressies zoeken mogelijk.

F3 Terugschuiven Volgende zoeken

  Gaat naar het volgende zoekitem

&Shift;F3 Terugschuiven Vorige zoeken

  Gaat naar het vorige zoekitem

Terugschuiven Uitvoer opslaan...

  Slaat het huidige terugschuiven op als tekstbestand

Terugschuiven Schuifbalkopties...

  Opent een dialoog om het aantal op te slagen regels in te stellen (meer info)

Terugschuiven Terugschuiven wissen

  Wist alle in het huidige tabblad opgeslagen tekst

&Ctrl;&Shift;X Terugschuiven Terugschuiven wissen & Resetten

  Wist alle in het huidige tabblad opgeslagen tekst en de terminal wordt gereset

#### Het menu Bladwijzers

&Ctrl;B Bladwijzers Bladwijzer toevoegen

  Voegt de huidige locatie toe

Bladwijzers Tabs bewaren als bladwijzermap...

  Voegt alle tabbladen toe als een bladwijzermap

  Opent een dialoog voor het opgeven van een naam voor de bladwijzermap.

Bladwijzers Nieuwe bladwijzermap...

  Voegt een nieuwe map toe aan de lijst met bladwijzers

  Opent een dialoog voor het opgeven van een naam voor de bladwijzermap.

Bladwijzers Bladwijzers bewerken...

  Opent de bladwijzerbewerker

  U kunt de bladwijzerbewerker gebruiken om handmatig URL-adressen toe te voegen als ssh://user@host om een verbinding op afstand te openen.

#### Het menu Instellingen

Instellingen Profiel wijzigen

  Wijzigt het profiel voor het huidige tabblad

Instellingen Huidig profiel bewerken...

  Opent de profielbewerker voor het huidige tabblad

Instellingen Profielen beheren...

  Opent een bewerker om de profielen te beheren

Instellingen Sneltoetsen instellen...

  Opent een bewerker voor de sneltoetsen

Instellingen Notificaties instellen...

  Opent een notificatiebewerker

#### Het menu Help

&help.menu.documentation;

### Dialoog voor tabblad hernoemen

De naam van het huidige tabblad kan worden aangepast vanuit deze dialoog. De dialoog kan worden getoond via het menu, de sneltoets &Ctrl;&Alt;S of door op een tabblad te dubbelklikken. Deze aanpassingen kunnen permanent worden gemaakt door het huidige profiel te bewerken.

&konsole; kan deze plaatshouders vervangen:

- %n : programmanaam

- %d : huidige map (kort)

- %D : huidige map (lang)

- %w : venstertitel ingesteld door de shell

- %# : sessienummer

Voorbeelden:

- `%d : %n` met /usr/src als huidige map en met bash draaiend zal usr/s : bash tonen

- `%D : %n` met /usr/src als huidige map en met top draaiend zal /usr/src : top tonen

- `%w (%#)` met ~ als huidige map en met vim draaiend zal [Geen naam] (~) - VIM(1) tonen

### De dialoog Invoer Kopiëren

De tekst ingevoerd in het ene tabblad kan tegelijk naar andere tabbladen gestuurd worden. Deze dialoog laat u selecteren welke tabbladen die invoer krijgen. Het huidige tabblad zal niet selecteerbaar zijn.

### De dialoog Schuifbalkopties

De optie terugschuiven voor de grootte van de geschiedenis kan via deze dialoog gewijzigd worden. Er is daar ook een optie om die instellingen voor het huidige profiel op te slaan.

## Commandoregel-opties

Als u &konsole; vanaf de commandoregel opstart, kunt u bepaalde opties opgeven om het gedrag ervan te wijzigen.

`--help`

  Alle mogelijke opties tonen.

`--profile` `bestandsnaam`

  &konsole; opstarten aan de hand van een groep bewaarde sessies.

`--list-profiles`

  Toont een lijst van alle beschikbare profielen.

`--background-mode`

  Start &konsole; op de achtergrond en breng het naar de voorgrond na het indrukken van de F12 toets.

`--new-tab`

  Maakt een nieuw tabblad aan in een bestaand venster in plaats van het aanmaken van een nieuw venster.

`--workdir` `map`

  Openen met `map` als werk(start)map.

`--notransparency`

  Transparante achtergrond uitschakelen, zelfs als het systeem dit ondersteunt.

`--force-transparency`

  Probeer transparantie te activeren, zelfs wanneer het systeem dit niet ondersteunt.

`--hold, --noclose`

  Sluit niet de beginsessie automatisch wanneer het eindigt.

`-p` `eigenschap=waarde`

  Verander de waarde van een profieleigenschap.

`-e` `commando`

  `commando` uitvoeren in plaats van de normale shell.

  Alle argumenten die na `commando` komen, worden overgedragen naar `commando` in plaats van &konsole;.

&konsole; accepteert ook algemene &Qt;- en &kde;-opties:

`--help-qt`

  Een lijst tonen van &Qt;-specifieke opties

De volgende &Qt;-opties hebben geen effect op &konsole;:

`--fn`, `--font` `fontname`

  Het toepassingslettertype instellen

`--bg`, `--background` `color`

  De standaard achtergrondkleur instellen

`--fg`, `--foreground` `color`

  De standaard voorgrondkleur instellen

`--btn`, `--button` `color`

  De standaard knopkleur instellen

`--help-kde`

  Een lijst tonen van &kde;-specifieke opties

`--help-all`

  Een lijst van alle opties tonen

`--author`

  De namen van de auteurs tonen

`-v,--version`

  Het versienummer tonen

`--license`

  Licentie-informatie tonen

## Scripting &konsole;

Voor &kde; 4 is de oude &DCOP; vervangen door &DBus;. Echter, &konsole; is nog niet bijgewerkt om dit te kunnen behandelen.

Voor een enigszins primitieve, niet-gebruikersvriendelijke &GUI; voor &DBus;, probeer &Qt;'s qdbusviewer.

Meer informatie volgt...

## Dankbetuigingen en copyright

&konsole; wordt op dit moment onderhouden door &Robert.Knight; &Robert.Knight.mail;

Daarvoor werd &konsole; onderhouden door &Kurt.Hindenburg; &Kurt.Hindenburg.mail; en &Waldo.Bastian; &Waldo.Bastian.mail;

De toepassing &konsole; Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Dit document is geschreven door &Jonathan.Singer; &Jonathan.Singer.mail;

Dit document is bijgewerkt naar &kde; 3.4 door &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Dit document is bijgewerkt naar &kde; 4.1 door &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Geconverteerd naar DocBook SGML door &Mike.McBride; en &Lauri.Watts;

&meld.fouten;&vertaling.niels;&vertaling.bram;&vertaling.tijmen;&nagelezen.rinse;&nagelezen.antoon;&vertaling.kristof; &underFDL; &underGPL;

## Links

Meer informatie kunt u vinden op de volgende websites:

- De homepage van &konsole;

- De mailinglijst van &konsole;

- &kde; op FreeBSD

- &kde; op &Solaris;

&documentation.index;